Subject: Luxury chronometers for less

From: " Eal" <[email-masked] >
Date: Fri, 6 Jul 2007 06:39:21 +0300

Don’t have enough dough to buy the timepiece you want? See our replica store!
Extra-low prices, free express delivery and the biggest choice on the Web!
Best quality for about as much as nothing – all famous brands presented here!
http://stflu.com